Vector Class Reference (Kig Python Scripting API)

| # Kig Python Scripting API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members

Public Member Functions | Static Public Member Functions | List of all members
Vector Class Reference

An Object representing a vector. More...

`#include <other_imp.h>`

Inheritance diagram for Vector:
[legend]
Collaboration diagram for Vector:
[legend]

## Public Member Functions
| Vector (const Coordinate &a, const Coordinate &b)
| Construct a Vector with a given start point and end point.
Object * | transform (const Transformation &) const
| Return this Object, transformed by the transformation t.
Vector * | copy () const
| Returns a copy of this Object.
const Coordinate | dir () const
| Return the direction of this vector.
const Coordinate | a () const
| Return the start point of this vector.
const Coordinate | b () const
| Return the end point of this vector.
const double | length () const
| Return the length of this vector.
LineData | data () const
| Get the LineData for this vector.
const ObjectType * | type () const
| Returns the lowermost ObjectType that this object is an instantiation of.
bool | equals (const Object &rhs) const
| Returns true if this Object is equal to rhs.
bool | containsPoint (const Coordinate &p, const KigDocument &doc) const
| Return whether this Curve contains the given point.
Public Member Functions inherited from Curve
Coordinate | attachPoint () const
| Returns a reference point where to attach labels; when this returns an invalidCoord then the attachment is either not done at all, or done in a specific way (like for curves, or for points) The treatment of points could also take advantage of this attachment mechanism.
Public Member Functions inherited from Object
bool | inherits (const ObjectType *t) const
| Returns true if this Object inherits the Object type represented by t.
bool | valid () const
| Returns true if this is a valid Object.

## Static Public Member Functions
static const ObjectType * | stype ()
| Returns the ObjectType representing the Vector type.
Static Public Member Functions inherited from Curve
static const ObjectType * | stype ()
| Returns the ObjectType representing the Curve type.
Static Public Member Functions inherited from Object
static const ObjectType * | stype ()
| The ObjectType representing the base Object class.

## Detailed Description

An Object representing a vector.

## Member Function Documentation

## ◆ containsPoint()

bool Vector::containsPoint | ( | const Coordinate & | p,
|  | const KigDocument & | ) const
| virtual

Return whether this Curve contains the given point.

This is implemented as a numerical approximation. lementations can/should use the value test_threshold in common.h as a threshold value.

Implements Curve.

## ◆ copy()

Vector * Vector::copy | ( |  | ) | const
| virtual

Returns a copy of this Object.

The copy is an exact copy. Changes to the copy don't affect the original.

Implements Curve.

References Vector().

## ◆ equals()

bool Vector::equals | ( | const Object & | rhs | ) | const
| virtual

Returns true if this Object is equal to rhs.

This function checks whether rhs is of the same Object type, and whether it contains the same data as this Object.

Implements Object.

## ◆ stype()

const ObjectType * Vector::stype | ( |  | ) |
| static

Returns the ObjectType representing the Vector type.

## ◆ type()

const ObjectType * Vector::type | ( |  | ) | const
| virtual

Returns the lowermost ObjectType that this object is an instantiation of.

E.g. if you want to get a string containing the internal name of the type of an object, you can do:

tn = object.type().internalName()

Implements Object.

This file is part of the documentation for tdelibs .
Documentation copyright © 1996-2002 the KDE developers.
Generated on by doxygen 1.16.1 written by Dimitri van Heesch, © 1997-2001